org.eclipse.wst.jsdt.chromium

## Interface UpdatableScript.OldFunctionNode

All Superinterfaces:
  UpdatableScript.FunctionNode<UpdatableScript.OldFunctionNode>

Enclosing interface:
  UpdatableScript

    public static interface UpdatableScript.OldFunctionNode
    extends UpdatableScript.FunctionNode<UpdatableScript.OldFunctionNode>

Represents an old function in the changed script. If it has new positions, it is also represented in a new version of the script.

### Method Summary

All Methods Instance Methods Abstract Methods
`UpdatableScript.FunctionPositions` `getNewPositions()`
`UpdatableScript.ChangeStatus` `getStatus()`
`java.lang.String` `getStatusExplanation()`
`java.util.List<? extends UpdatableScript.NewFunctionNode>` `newChildren()`

### Methods inherited from interface org.eclipse.wst.jsdt.chromium.UpdatableScript.FunctionNode

`asOldFunction, children, getName, getPositions`

### Method Detail

#### getStatus

    UpdatableScript.ChangeStatus getStatus()

#### getStatusExplanation

    java.lang.String getStatusExplanation()

#### getNewPositions

    UpdatableScript.FunctionPositions getNewPositions()

Returns:
  nullable

#### newChildren

    java.util.List<? extends UpdatableScript.NewFunctionNode> newChildren()